package com.huiju.welcome.model;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /*菜单ID*/
    private String menuId;

    /* 菜单名称*/
    private String menuName;

    /* 父级菜单*/
    private String menuPid;

    /*祖父菜单*/
    private String menuParents;

    /*状态*/
    private Integer status;

    /*创建*/
    private LocalDateTime createDate;

    // 角色列表, 逗号连接
    @TableField(exist = false)
    String authority;
}
