package com.huiju.welcome.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUserRole implements Serializable {

    private static final long serialVersionUID = 1L;
    /* 人员ID*/
    private Integer userId;

    /*角色ID*/
    private Integer roleId;

    /**
     * 人员名称
     */
    @TableField("`username`")
    private String username;

    /**
     * 手机号
     */
    @TableField("`phone`")
    private String phone;

    /**
     * 角色名称
     */
    @TableField("`roleName`")
    private String roleName;


}
