package com.huiju.welcome.model;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "customer_id", type = IdType.INPUT)
    private Integer customerId;

    private String customerName;

    private Integer sex;

    private String phone;

    private String avatar;

    private String plateNumber;

    private String carModel;

    private String channel;

    private String purpose;

    private String favorHouse;

    private String favorLevel;

    private String remark;

    @TableField("`status`")
    private Integer status;

    private LocalDateTime createDate;

    private Integer consultantId;

    private String realtyConsultant;

    @TableField(exist = false)
    private List<TaPerson> group;

    @TableField(exist = false)
    private Map<String, Object> lastVisit;

    @TableField(exist = false)
    Boolean apointment;
}
