package com.huiju.welcome.model;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSnapshotPerson  implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "snapshot_id", type = IdType.AUTO)
    private Integer snapshotId;

    private LocalDateTime createDate;

    private Integer personId;

    private String avatar;

    private String deviceId;

    private Integer matchPerson;

    private Float similarity;

    @TableField("`status`")
    private Integer status;

    private Integer score;

    private Integer sex;

    private Integer age;

    private Integer ageDeviation;

    private Integer hasGlasses;

    @TableField(exist = false)
    private String matchName;

    @TableField(exist = false)
    private String matchAvatar;
}
